program HSMIDISetup;

uses
  Forms,
  Controls,
  Dialogs,
  MIDISetup in 'MIDISetup.pas' {frmMain},
  ChannelSetup in 'ChannelSetup.pas' {frmChannelSetup},
  LFOSetup in 'LFOSetup.pas' {frmLFOSetup},
  Tools in 'Tools.pas',
  PatchEditor in 'PatchEditor.pas' {frmPatchEditor},
  Common in 'Common.pas' {frmCommon},
  LegalNotice in 'LegalNotice.pas' {frmLegalNotice},
  HSMIDI_Controls in '..\VisualControls\HSMIDI_Controls.pas',
  ImageLists in 'ImageLists.pas' {DataModule1: TDataModule},
  PatchInfo in 'PatchInfo.pas' {frmPatchInfo},
  ExpPNames in 'ExpPNames.pas' {frmExpPNames},
  Splash in 'Splash.pas' {frmSplash},
  CCInit in 'CCInit.pas' {frmCCInit},
  LFONeeded in 'LFONeeded.pas' {frmLFONeeded},
  LFOPreview in 'LFOPreview.pas' {frmLFOPreview},
  HSMIDI_Types in 'HSMIDI_Types.pas',
  EditingQuestion in 'EditingQuestion.pas' {frmEditingQuestion},
  MIDIComm in 'MIDIComm.pas';

{$R *.RES}

begin
  Application.Initialize;
  Application.HintPause:= 1;
  Application.HintShortPause:= 1;
  FileMode:= 0;

  Application.HelpFile := '';
  Application.Title := 'HardSID MIDI Setup utility';
  Application.CreateForm(TDataModule1, DataModule1);
  Application.CreateForm(TfrmMain, frmMain);
  Application.CreateForm(TfrmSplash, frmSplash);
  Application.CreateForm(TfrmLFONeeded, frmLFONeeded);
  SplashVisible:= False;
  frmMain.Show;

  if CurrentUser = 'Unknown' then
  begin
    ShowMessage('Please enter your name into the "Current user" box using the "Common Settings" screen !');
    frmMain.mniCommonSettings.Click;
  end
  else
  begin
    frmSplash:= TfrmSplash.Create(Application);
    frmSplash.Show;
    SplashVisible:= True;
  end;
  Application.Run;
end.
